POST Agents/Contact/ChangeCountry
Some tooltip text!
• 10 minutes to read
• 10 minutes to read
POST /api/v1/Agents/Contact/ChangeCountry
Change country regenerates the default values and localized information such as phone number and address format
NsApiSlow threshold: 2000 ms.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields. |
POST /api/v1/Agents/Contact/ChangeCountry?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: request
ContactEntity, ToCountryId
| Property Name | Type | Description |
|---|---|---|
| ContactEntity | ContactEntity | The Contact Service. The service implements all services working with the Contact object |
| ToCountryId | Integer |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: ContactEntity
| Property Name | Type | Description |
|---|---|---|
| ContactId | int32 | Primary key |
| Name | string | Contact name |
| Department | string | Department |
| OrgNr | string | VAT number or similar |
| Number1 | string | Alphanumeric user field |
| Number2 | string | Alphanumeric user field |
| UpdatedDate | date-time | Date last updated in UTC. |
| CreatedDate | date-time | Date registered in UTC. |
| Emails | array | The contact's email |
| Interests | array | The contact's available and selected interests. Use MDO List name "contint" to get list items. |
| Urls | array | The contact's internet adresses |
| Phones | array | The contact's phone numbers |
| Faxes | array | The contact's fax numbers |
| Description | string | Description of the contact. Usually shown as a postit note. |
| UpdatedBy | Associate | The user that last updated the contact |
| CreatedBy | Associate | The user that created the contact |
| Associate | Associate | The user that owns this contact. Use MDO List name "associate" to get list items. |
| Business | Business | The business that the contact is associated with. The GUI forces the user to enter a business type. Use MDO List name "business" to get list items. |
| Category | Category | The category that is set on the company. The GUI forces the user to enter a category type Use MDO List name "category" to get list items. |
| Country | Country | The country this contact is located in. The country a contact is saved with, affects the phone number format, and the address layout. Use MDO List name "country" to get list items. |
| Persons | array | The persons belonging to the contact. |
| NoMailing | bool | Spam filter. Indicates if this contact should retrieve advertising. |
| Kananame | string | Contact kana name, used in Japanese versions only |
| Xstop | bool | STOP flag |
| ActiveInterests | int32 | The number of active interests. |
| GroupId | int32 | Group id of original owning associate, semantics like appnt.grp_id |
| ActiveStatusMonitorId | int32 | Active status monitor identity with the lowest rank for contact |
| SupportAssociate | Associate | Use MDO List name "associate" to get list items. |
| TicketPriority | TicketPriority | Use MDO List name "ticketpriority" to get list items. |
| CustomerLanguage | CustomerLanguage | customerlanguage |
| Deleted | int32 | If nonzero, then this contact is 'deleted' and should generally not be shown |
| DbiAgentId | int32 | Integration agent (eJournal) |
| DbiLastSyncronized | date-time | Last external syncronization. |
| DbiKey | string | The primary key for the integrated entry in the external datasource. |
| DbiLastModified | date-time | When the entry was last modified. |
| SupportPerson | Person | Carrier object for Person. Services for the Person Carrier is available from the Person Agent. |
| Address | Address | Street and/or Postal address, in both formatted and structured forms. You only need to modify one of the two for the change to be registered. Carrier object for Address. |
| Source | int32 | How did we get this contact? For future integration needs |
| ActiveErpLinks | int32 | The number of active erp links |
| BounceEmails | array | Email addresses with a positive bounce counter. |
| Domains | array | Web domains for this contact, ordered in array by rank |
| UtmParameters | SavedUtmParameters | Utm parameters when creating first person and contact, readonly field |
| UserDefinedFields | object | Deprecated: Use {SuperOffice.CRM.Services.ContactEntity.CustomFields} instead. Dictionary of user defined field data. The key string is the ProgId of the UdefField, or if the ProgId is empty it is a string of the format "SuperOffice:[UdefFieldIdentity]", e.g. "SuperOffice:1234" |
| ExtraFields | object | Deprecated: Use {SuperOffice.CRM.Services.ContactEntity.CustomFields} instead. Extra fields added to the carrier. This could be data from Plug-ins, the foreign key system, external applications, etc. |
| CustomFields | object | Udef + Extra fields added to the carrier. Extra fields as defined by changes to database schema + user-defined fields as defined by admin. Custom fields combines user defined fields and extra fields into one bucket. The individual {SuperOffice.CRM.Services.ContactEntity.ExtraFields} and UserDefinedFields properties are deprecated in favor of this combined collection. |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
POST /api/v1/Agents/Contact/ChangeCountry
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: sv
Content-Type: application/json; charset=utf-8
{
"ContactEntity": null,
"ToCountryId": 694
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"ContactId": 832,
"Name": "International Logistics AB",
"Department": "Freight Operations",
"OrgNr": "753951456",
"Number1": "10009",
"Number2": "20009",
"UpdatedDate": "2001-05-30T10:10:59.4546905+02:00",
"CreatedDate": "2008-09-10T10:10:59.4546905+02:00",
"Emails": [
{
"Value": "contact@intlogistics.se",
"StrippedValue": "contact@intlogistics.se",
"Description": "General inquiries",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 60
}
}
},
{
"Value": "explicabo",
"StrippedValue": "sunt",
"Description": "Right-sized value-added secured line",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 60
}
}
}
],
"Interests": [
{
"Id": 492,
"Name": "International Freight Association",
"ToolTip": "Global logistics and freight network",
"Deleted": false,
"Rank": 399,
"Type": "ipsum",
"ColorBlock": 171,
"IconHint": "ut",
"Selected": false,
"LastChanged": "2001-08-30T10:10:59.4556906+02:00",
"ChildItems": [
{},
{}
],
"ExtraInfo": "eum",
"StyleHint": "voluptatem",
"Hidden": false,
"FullName": "Jaren Sylvan Rowe DVM",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 775
}
}
}
],
"Urls": [
{
"Value": "odit",
"StrippedValue": "voluptatem",
"Description": "Self-enabling coherent portal",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 109
}
}
},
{
"Value": "odit",
"StrippedValue": "voluptatem",
"Description": "Self-enabling coherent portal",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 109
}
}
}
],
"Phones": [
{
"Value": "non",
"StrippedValue": "animi",
"Description": "Cloned attitude-oriented middleware",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 33
}
}
},
{
"Value": "non",
"StrippedValue": "animi",
"Description": "Cloned attitude-oriented middleware",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 33
}
}
}
],
"Faxes": [
{
"Value": "esse",
"StrippedValue": "blanditiis",
"Description": "Enterprise-wide composite throughput",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 742
}
}
},
{
"Value": "esse",
"StrippedValue": "blanditiis",
"Description": "Enterprise-wide composite throughput",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 742
}
}
}
],
"Description": "Versatile leading edge access",
"UpdatedBy": null,
"CreatedBy": null,
"Associate": null,
"Business": null,
"Category": null,
"Country": null,
"Persons": [
{
"Position": "nemo",
"PersonId": 780,
"Mrmrs": "laboriosam",
"Firstname": "Lars",
"Lastname": "Andersson",
"MiddleName": "Erik",
"Title": "Logistics Manager",
"Description": "Manages international freight operations",
"Email": "l.andersson@intlogistics.se",
"FullName": "Lars Andersson",
"DirectPhone": "+46-8-555-0123",
"FormalName": "Mr. Lars Erik Andersson",
"CountryId": 891,
"ContactId": 55,
"ContactName": "International Logistics AB",
"Retired": 0,
"Rank": 4,
"ActiveInterests": 2,
"ContactDepartment": "Freight Operations",
"ContactCountryId": 752,
"ContactOrgNr": "753951456",
"FaxPhone": "(578)231-2258 x940",
"MobilePhone": "469.804.6895 x44947",
"ContactPhone": "(014)890-9792 x725",
"AssociateName": "Boyle-Stamm",
"AssociateId": 695,
"UsePersonAddress": false,
"ContactFax": "vitae",
"Kanafname": "voluptas",
"Kanalname": "doloremque",
"Post1": "itaque",
"Post2": "et",
"Post3": "labore",
"EmailName": "vance@witting.biz",
"ContactFullName": "Cale Borer",
"ActiveErpLinks": 593,
"TicketPriorityId": 905,
"SupportLanguageId": 651,
"SupportAssociateId": 662,
"CategoryName": "VIP Customer",
"PersonNumber": "1048991",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 136
}
}
}
],
"NoMailing": false,
"Kananame": "officia",
"Xstop": true,
"ActiveInterests": 316,
"GroupId": 138,
"ActiveStatusMonitorId": 263,
"SupportAssociate": null,
"TicketPriority": null,
"CustomerLanguage": null,
"Deleted": 678,
"DbiAgentId": 809,
"DbiLastSyncronized": "2013-09-21T10:10:59.4607214+02:00",
"DbiKey": "laudantium",
"DbiLastModified": "2022-01-15T10:10:59.4607214+01:00",
"SupportPerson": null,
"Address": null,
"Source": 86,
"ActiveErpLinks": 917,
"BounceEmails": [
"old@intlogistics.se",
"bounce@intlogistics.se"
],
"Domains": [
"officia",
"consectetur"
],
"InitialUtmParameters": null,
"UserDefinedFields": {
"SuperOffice:1": "Dimitri Denesik",
"SuperOffice:2": "1241014700"
},
"ExtraFields": {
"ExtraFields1": "unde",
"ExtraFields2": "voluptates"
},
"CustomFields": {
"CustomFields1": "non",
"CustomFields2": "quia"
},
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 337
}
}
}